#pragma once

#include "CoreMinimal.h"
#include "ETeleportLocationStatus.h"
#include "UObject/NoExportTypes.h"
#include "ActorTeleportationData.generated.h"

USTRUCT(BlueprintType)
struct FActorTeleportationData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	ETeleportLocationStatus TeleportLocationStatus;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FVector BestTeleportLocation;

public:
	DBDGAMEPLAY_API FActorTeleportationData();
};

FORCEINLINE uint32 GetTypeHash(const FActorTeleportationData) { return 0; }
